commit:     2d70652e58135b09ad211d98710d6e8bf2be4e5d
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 20 16:16:01 2022 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Jan 20 16:21:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d70652e

dev-php/pecl-redis: Version bump for 5.3.6

Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 dev-php/pecl-redis/Manifest                |  1 +
 dev-php/pecl-redis/pecl-redis-5.3.6.ebuild | 61 ++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-php/pecl-redis/Manifest b/dev-php/pecl-redis/Manifest
index 374261f43f04..7433f03921fa 100644
--- a/dev-php/pecl-redis/Manifest
+++ b/dev-php/pecl-redis/Manifest
@@ -1,3 +1,4 @@
 DIST redis-5.3.2.tgz 266814 BLAKE2B 
2be79d850e5958bcaf4fddcbdef0a402e62a522f260ae94c0fdc931a988e9b266c7a4e049b89b507a29a8e9085590e4077e336b85974d70a7cb9b3d6c806949d
 SHA512 
95ce960b78cf94ecd212ec88914935167af37e4176d4b111dfc8c6f1a0846a34beba7f9f516cd7a5e1c9dda23f46cce44c99aaa5b42724c0c2a188b0698af414
 DIST redis-5.3.3.tgz 266990 BLAKE2B 
b939e5a33b3013d1aeaa59f9a1ebbb4b4665d57abf87dc4e300273221d3390d14387cad318d69a56ab573861c1aef89ab7778d3f636adfc351b4fc330eba98d3
 SHA512 
a04a7d0aa3881b861a00c3f0a889b2f3fd135009293629ac55a74890196c0686e9766438f5255561105e30293f1a6a91ca987fd68e43f3ca436f6cc884e6a5df
 DIST redis-5.3.4.tgz 268154 BLAKE2B 
17a3af10c09f302d46faa5122147e4882437f92e9440b3a580919382e48f2697ede453f11411de7c1a1114f94a2601ec5f905943f045c8d64e5fea7231ff96f5
 SHA512 
c1270235b18544e651411ddfb512d74b7229e3dc241b2dfcdf97f2e26cf60754afb7deaac17bc48202875b5caafae19f31a7b8da980fcba578df51b0c0860a95
+DIST redis-5.3.6.tgz 274235 BLAKE2B 
8479b3060abb99f765b27fd8937cb4c7ef92c55c0581ae6a69dd06113367547d546a9f96a8418df928f258520cb0fed6f5d39f6d88972c74b8446134be08edc4
 SHA512 
e5047ba9974ff6065be0fe8614aea8bf7d7c77b3a4ca08b19d0bb53069dd164614ffd19bf09bda458511abddce438fd816c28a169536388c8c4cd923596aadf0

diff --git a/dev-php/pecl-redis/pecl-redis-5.3.6.ebuild 
b/dev-php/pecl-redis/pecl-redis-5.3.6.ebuild
new file mode 100644
index 000000000000..d9bbe83e2992
--- /dev/null
+++ b/dev-php/pecl-redis/pecl-redis-5.3.6.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PHP_EXT_NAME="redis"
+USE_PHP="php7-3 php7-4 php8-0 php8-1"
+PHP_EXT_NEEDED_USE="json(+)?,session(-)?"
+DOCS=( arrays.markdown cluster.markdown README.markdown CREDITS )
+MY_P="${PN/pecl-/}-${PV/_rc/RC}"
+PHP_EXT_PECL_FILENAME="${MY_P}.tgz"
+PHP_EXT_S="${WORKDIR}/${MY_P}"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="PHP extension for interfacing with Redis"
+LICENSE="PHP-3.01"
+SLOT="0"
+KEYWORDS="~amd64 ~arm"
+IUSE="igbinary +json lz4 +session zstd"
+
+DEPEND="
+       igbinary? ( 
>=dev-php/igbinary-3.0.1-r1[php_targets_php7-3(-)?,php_targets_php7-4(-)?,php_targets_php8-0(-)?,php_targets_php8-1(-)?]
 )
+       lz4? ( app-arch/lz4:= )
+       zstd? ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}
+       !dev-php/pecl-redis:7"
+
+# The test suite requires network access.
+RESTRICT=test
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+       local PHP_EXT_ECONF_ARGS=(
+               --enable-redis
+               --disable-redis-lzf
+               --disable-redis-msgpack
+               $(use_enable igbinary redis-igbinary)
+               $(use_enable json redis-json)
+               $(use_enable lz4 redis-lz4)
+               $(use_with lz4 liblz4)
+               $(use_enable session redis-session)
+               $(use_enable zstd redis-zstd)
+               $(use_with zstd libzstd)
+       )
+       php-ext-source-r3_src_configure
+}
+
+src_test() {
+       local slot
+       for slot in $(php_get_slots); do
+               php_init_slot_env "${slot}"
+               # Run tests for Redis class
+               ${PHPCLI} -d extension=modules/redis.so \
+                                 tests/TestRedis.php \
+                                 --class Redis \
+                                 --host ${PECL_REDIS_HOST} || die 'test suite 
failed'
+       done
+}

Reply via email to